<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.FeedbackMapper">

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
        id, content, user_id, create_time, update_time
    </sql>

        <select id="getFeedbackById" resultType="com.jumeirah.common.param.FeedbackQueryVo">
            select
            <include refid="Base_Column_List"/>
            from feedback where id = #{id}
        </select>

        <select id="getFeedbackPageList" parameterType="com.jumeirah.common.param.FeedbackPageParam" resultType="com.jumeirah.common.param.FeedbackQueryVo">
            select
            <include refid="Base_Column_List"/>
            from feedback
        </select>

</mapper>
